package xyz.leomurca.csgomatches.data.remote

import retrofit2.Response
import retrofit2.http.GET
import retrofit2.http.Query
import xyz.leomurca.csgomatches.data.model.MatchDto
import xyz.leomurca.csgomatches.data.model.TeamDetailsDto

interface MatchesApiService {

    @GET("matches")
    suspend fun upcomingMatches(
        @Query("filter[status]") filterStatus: String = "running, not_started",
        @Query("finished") finished: Boolean = false,
        @Query("sort") sort: String = "begin_at",
    ): Response<List<MatchDto>>

    @GET("teams")
    suspend fun teamDetails(
        @Query("filter[id]") id: String
    ): Response<List<TeamDetailsDto>>
}